Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAReturnControls

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAReturnControls

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAReturnControls

extends java.lang.Object

`SNAReturnControls` class represents all return control types:

  `CM_WHEN_SESSION_ALLOCATED`
  `CM_IMMEDIATE`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_IMMEDIATE`
`static int` | `CM_WHEN_SESSION_ALLOCATED`

Constructor Summary
`SNAConstants.SNAReturnControls()`

Method Summary
`static int` | `getCM_IMMEDIATE()`
`static int` | `getCM_WHEN_SESSION_ALLOCATED()`
`static java.lang.String` | `getReturnControlString(int returnControl)` Returns the returnControl as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_WHEN_SESSION_ALLOCATED

    public static final int CM_WHEN_SESSION_ALLOCATED

See Also:
  Constant Field Values

### CM_IMMEDIATE

    public static final int CM_IMMEDIATE

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAReturnControls

    public SNAConstants.SNAReturnControls()

Method Detail

### getCM_WHEN_SESSION_ALLOCATED

    public static final int getCM_WHEN_SESSION_ALLOCATED()

  Returns:
    CM_WHEN_SESSION_ALLOCATED

### getCM_IMMEDIATE

    public static final int getCM_IMMEDIATE()

  Returns:
    CM_IMMEDIATE

### getReturnControlString

    public static final java.lang.String getReturnControlString(int returnControl)

  Returns the returnControl as String

  Parameters:
    `returnControl` - The returnControl in int
  Returns:
    The returnControl as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.